<?php

namespace EventPortal\Domain\Permission\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use OwenIt\Auditing\Auditable;
use OwenIt\Auditing\Contracts\Auditable as AuditableInterface;

class Group extends Model implements AuditableInterface
{
    use Auditable;

    /** @var array<string> */
    protected $fillable = [
        'name',
        'label',
    ];

    public function permissions(): HasMany
    {
        return $this->hasMany(Permission::class);
    }
}
