<?php

namespace EventPortal\Http\Controllers\Admin;

use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Domain\Util\Render;
use EventPortal\Domain\Util\Sidebar\Facades\Sidebar;
use Illuminate\Database\Query\JoinClause;
use Inertia\Response;

class EventSignInController
{
    public function index(Event $event): Response
    {
        $query = Delegate::join('delegate_event', static function (JoinClause $query) {
            return $query->on('delegates.id', '=', 'delegate_event.delegate_id');
        })
        ->where('delegate_event.event_id', $event->id)
        ->joinRelationship('user');


        $table = Table::make('event.sign-in.index')
            ->query($query)
            ->request(request())
            ->get();

        $sidebar = Sidebar::make('event.show')
            ->user(auth()->user())
            ->model(request()->event)
            ->render();

        return Render::component('Admin/EventSignIn/Index')
            ->key('event.sign-in.index')
            ->withTable($table)
            ->withSideBar($sidebar)
            ->get();
    }
}
