<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Column\TextColumn;
use EventPortal\Domain\Event\Models\EventDelegate;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('event.sign-in.index')
    ->setColumns(function () {
        return [
            TextColumn::make('First name')->default()->searchable(),
            TextColumn::make('Last name')->default()->searchable(),
        ];
    })
    ->setRowAction(function (EventDelegate $eventDelegate) {
        return ButtonDropdown::make('Manage')
            ->actions([
                Button::make('Toggle sign in')
                    ->method(InertiaMethod::POST())
                    ->route('admin.event.sign-in.update', $eventDelegate),
            ]);
    });
