<?php

namespace EventPortal\Tests\Feature\Admin\EventSignIn;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\User\Models\User;
use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Spatie\Snapshots\MatchesSnapshots;

class EventSignInIndexTest extends TestCase
{
    use RefreshDatabase, MatchesSnapshots, SeedRolesAndPermissions;

    /** @test */
    public function can_view_index()
    {
        $event = factory(Event::class)->create();
        $event->delegates()->create([
            'user_id' => factory(User::class)->state('snapshot')->create()->id,
        ], [
            'status' => 'invited',
        ]);

        $this->assertMatchesJsonSnapshot(
            $this
                ->actingAsSuperAdmin()
                ->get(route('admin.event.sign-in.index', $event))
                ->props()
        );
    }
}
