<?php

namespace EventPortal\Tests\Unit\Util;

use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Spatie\Snapshots\MatchesSnapshots;

class GlobalDataTest extends TestCase
{
    use RefreshDatabase, MatchesSnapshots, SeedRolesAndPermissions;

    /** @test */
    public function navigation_is_set_when_viewing_admin(): void
    {
        $this->assertMatchesJsonSnapshot(
            $this->actingAsSuperAdmin()->get(route('admin.dashboard.index'))->props()
        );
    }

    /** @test */
    public function navigation_is_not_set_when_not_viewing_admin(): void
    {
        $this->markTestIncomplete('Maybe need to do if Interia used on front end');
    }
}
